February 2, 2017 IBOMLLC Team

Gmail will not work on older versions of Chrome, Windows XP, and Windows Vista

Innov8tiv
Innov8tiv – Blacks In Technology in USA, UK, Caribbean Islands & Africa

People and organizations always have an excuse why the will not upgrade to the latest version of a software. Some excuse, particularly for organizations, seem reasonable, but some are entirely absurd; bordering extreme conservativeness complex.

Well, Google has found a way to softly arm twist such users into getting onto the latest versions of software; at least as far as its browser, Chrome, is concerned. Google has announced that come the end of 2017, Gmail will no longer work on Chrome browser older than version 54. That means Chrome 53 and lower will cease to enable you to access your Gmail account.

Google also brings to the attention of users that Chrome 55, which was released in December, comes with very important security updates. These security updates are meant for your own protection online, and the search engine urges you (well, arm twists you into) getting protected.

Google says those using older version of Chrome are “more vulnerable to security risks and users will not have access to new features and bug fixes.” The search engine is encouraging users to at least use Chrome 54 and above if …read more

Read more here:: Gmail will not work on older versions of Chrome, Windows XP, and Windows Vista

      

IBOM LLC

We're passionate about your business and we only offer the best solutions.